PostgreSQL 7.1.3 Documentation
Prev |  | Next

# TRUNCATE

## Name

TRUNCATE -- Empty a table

## Synopsis

    TRUNCATE [ TABLE ] name

### Inputs

`name`

  The name of the table to be truncated.

### Outputs

`TRUNCATE`

  Message returned if the table is successfully truncated.

## Description

TRUNCATE quickly removes all rows from a table. It has the same effect as an unqualified DELETE but since it does not actually scan the table it is faster. This is most effective on large tables.

## Usage

Truncate the table `bigtable`:

    TRUNCATE TABLE bigtable;

## Compatibility

### SQL92

There is no TRUNCATE in SQL92.

Prev | Home | Next
SHOW | Up | UNLISTEN